complexType "InformationSource"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 12 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | rateSource?, rateSourcePage?, rateSourcePageHeading?
</...>

Content Model Elements (3):

  rateSource (defined in InformationSource complexType),
  rateSourcePage (defined in InformationSource complexType),
  rateSourcePageHeading (defined in InformationSource complexType)

Known Direct Subtypes (1):

  FxInformationSource

All Direct / Indirect Based Elements (12):

  informationSource (defined in FxBarrierFeature complexType),
  informationSource (defined in QuotationCharacteristics.model group),
  informationSource (in settlementRateSource defined in YieldCurveMethod complexType),
  informationSource (in touch),
  informationSource (in trigger in fxDigitalOption),
  nonstandardSettlementRate,
  primaryRateSource (defined in CommodityFx complexType),
  primaryRateSource (defined in FxSpotRateSource complexType),
  primaryRateSource (in asian in features in fxOption),
  secondaryRateSource (defined in CommodityFx complexType),
  secondaryRateSource (defined in FxSpotRateSource complexType),
  secondaryRateSource (in asian in features in fxOption)

Known Usage Locations

- In derivations of other global types (1):
  FxInformationSource (as extension base)
- As direct type of elements (11):
  informationSource (defined in FxBarrierFeature complexType),
  informationSource (defined in QuotationCharacteristics.model group),
  informationSource (in settlementRateSource defined in YieldCurveMethod complexType),
  informationSource (in touch),
  informationSource (in trigger in fxDigitalOption),
  primaryRateSource (defined in CommodityFx complexType),
  primaryRateSource (defined in FxSpotRateSource complexType),
  primaryRateSource (in asian in features in fxOption),
  secondaryRateSource (defined in CommodityFx complexType),
  secondaryRateSource (defined in FxSpotRateSource complexType),
  secondaryRateSource (in asian in features in fxOption)

Annotation
A type defining the source for a piece of information (e.g. a rate refix or an fx fixing).
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="InformationSource"> <xsd:sequence> <xsd:element minOccurs="0" name="rateSource" type="InformationProvider"/> <xsd:element minOccurs="0" name="rateSourcePage" type="RateSourcePage"/> <xsd:element minOccurs="0" name="rateSourcePageHeading" type="xsd:string"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
rateSource

  Type: | InformationProvider, simple content

  An information source for obtaining a market rate. For example Bloomberg, Reuters, Telerate etc.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateSource" type="InformationProvider"/>

rateSourcePage

  Type: | RateSourcePage, simple content

  A specific page for the rate source for obtaining a market rate.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateSourcePage" type="RateSourcePage"/>

rateSourcePageHeading

  Type: | xsd:string, predefined, simple content

  The heading for the rate source on a given rate source page.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateSourcePageHeading" type="xsd:string"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.